cURL
curl --request PATCH \
--url https://app.teable.ai/api/base/%7BbaseId%7D/app/%7BappId%7D/login-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"loginConfig":{"enabled":true,"userTableId":"string","emailFieldId":"string","providers":[],"access":{"mode":"open","domains":["string"]}}}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/app/%7BappId%7D/login-config';
const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"loginConfig":{"enabled":true,"userTableId":"string","emailFieldId":"string","providers":[],"access":{"mode":"open","domains":["string"]}}}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'PATCH',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/app/%7BappId%7D/login-config',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
loginConfig: {
enabled: true,
userTableId: 'string',
emailFieldId: 'string',
providers: [],
access: {mode: 'open', domains: ['string']}
}
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"loginConfig\":{\"enabled\":true,\"userTableId\":\"string\",\"emailFieldId\":\"string\",\"providers\":[],\"access\":{\"mode\":\"open\",\"domains\":[\"string\"]}}}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("PATCH", "/api/base/%7BbaseId%7D/app/%7BappId%7D/login-config", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"previewReloaded": true,
"loginConfig": {
"enabled": true,
"userTableId": "<string>",
"emailFieldId": "<string>",
"providers": [],
"access": {
"mode": "open",
"domains": [
"<string>"
]
}
},
"previewUrl": "<string>"
}app
Patch base app login config
Update app login config. Backend decides whether the sandbox dev server needs a restart based on the diff.
Required token scopes: app|update
PATCH
/
base
/
{baseId}
/
app
/
{appId}
/
login-config
cURL
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
application/json
Show child attributes
Show child attributes
最終更新日 2026年9月15日
このページは役に立ちましたか?

